Subject: Re: [ANNOUNCE] FLAME: external kernel module for L2.5 meshing

From: Simon Oosthoek <[email-masked]>
Date: Tue, 23 May 2006 19:43:02 +0200

Stephen Hemminger wrote:
> On Tue, 23 May 2006 16:07:47 +0200
> Herman Elfrink <[email-masked]> wrote:
> 
>>  
>> FLAME stands for "Forwarding Layer for Meshing"
>>
> 
> Didn't you just reinvent 802.1d bridging? and/or WDS?

I wouldn't say "reinvent", but the difference is small but significant. 
FLAME could be seen as ad hoc WDS, I think. It doesn't need to know 
about the other "base-stations", which I think WDS does.

> As far as the Ethernet protocol field. Getting a real assigned number
> would have to come out of the IEEE 802. 
> 
> You would need
> 	http://standards.ieee.org/regauth/ethertype/forms/index.html
> 
> It is cheaper (free vs $2500) to get a LLC sap assigned, but then
> you would have to change the protocol.
> 	http://standards.ieee.org/regauth/llc/index.html

Wow, thanks, $2500 is a bit steep for a useful experiment ;-)
The free option could be interesting though...

Cheers

Simon